# co-gahusb/tests/conftest.py
import pytest_asyncio
import fakeredis.aioredis


@pytest_asyncio.fixture
async def r():
    client = fakeredis.aioredis.FakeRedis(decode_responses=True)
    await client.flushall()
    yield client
    await client.aclose()
